cURL
curl --request GET \ --url https://api.blockradar.co/v1/payment_links/{id} \ --header 'x-api-key: <api-key>'
{ "data": { "active": true, "amount": null, "configurations": {}, "createdAt": "2025-03-04T16:28:26.740Z", "createdChannel": "dashboard", "currency": "USD", "description": "Payment link description", "id": "e0c5f043-ade7-4823-b8c0-f7dd80f683e2", "imageUrl": null, "inactiveMessage": "In active message", "metadata": null, "name": "Payment Link 10", "network": "testnet", "redirectUrl": null, "slug": "QQiUffoOIo", "successMessage": null, "type": "payment", "updatedAt": "2025-03-04T16:28:26.740Z", "url": "https://pay.blockradar.co/QQiUffoOIo" }, "message": "Payment Link fetched successfully", "statusCode": 200 }
The GET request retrieves information about a specific payment link identified by :id from the Blockradar API.
GET
:id
"Payment_link_id"
200
Show child attributes
"Payment Link fetched successfully"